#!/usr/bin/env python2.4

"""
JBoss, Home of Professional Open Source Copyright 2009, Red Hat
Middleware LLC, and others contributors as indicated by the @authors
tag. All rights reserved. See the copyright.txt in the distribution
for a full listing of individual contributors. This copyrighted
material is made available to anyone wishing to use, modify, copy, or
redistribute it subject to the terms and conditions of the GNU Lesser
General Public License, v. 2.1. This program is distributed in the
hope that it will be useful, but WITHOUT A WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public
License, v.2.1 along with this distribution; if not, write to the Free
Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
"""

import BaseHTTPServer
import SimpleHTTPServer
import sys

from tx import get_handler
from tx import post_handler

port = 8000

for arg in sys.argv:
	nvp = arg.split('=')
	if nvp[0] == 'port':
		port = int(nvp[1])

class MyHandler(SimpleHTTPServer.SimpleHTTPRequestHandler):

  def do_POST(self):
      clen = self.headers.getheader('content-length')
      if clen:
        post_handler(self, port)
      else:
        print 'POST ERROR: missing content-length'

      self.connection.shutdown(1)
      return

  def do_GET(self):
      get_handler(self, port)

      self.connection.shutdown(1)
      return

print 'listening on port ', str(port)
server = BaseHTTPServer.HTTPServer(('', port), MyHandler)
server.serve_forever()
